Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDTUCOPATHOLOGYTYPEvalues

    java.lang.Object
      java.lang.Enum<CDTUCOPATHOLOGYTYPEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTUCOPATHOLOGYTYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDTUCOPATHOLOGYTYPEvalues>

    public enum CDTUCOPATHOLOGYTYPEvalues

extends Enum<CDTUCOPATHOLOGYTYPEvalues>

Java class for CD-TUCO-PATHOLOGYTYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TUCO-PATHOLOGYTYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="diabetedietarycontrol"/>
         <enumeration value="diabeteoralmedication"/>
         <enumeration value="diabeteinsulin"/>
         <enumeration value="diabetenewlydiagnosed"/>
         <enumeration value="diabete"/>
         <enumeration value="renalfailurelessthan30ml"/>
         <enumeration value="instentrestenosis"/>
         <enumeration value="cardioshockatstartpci"/>
         <enumeration value="stroke"/>
         <enumeration value="peripheralvasculardisease"/>
         <enumeration value="stentthrombosis"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CARDIOSHOCKATSTARTPCI`
`DIABETE`
`DIABETEDIETARYCONTROL`
`DIABETEINSULIN`
`DIABETENEWLYDIAGNOSED`
`DIABETEORALMEDICATION`
`INSTENTRESTENOSIS`
`PERIPHERALVASCULARDISEASE`
`RENALFAILURELESSTHAN_30_ML`
`STENTTHROMBOSIS`
`STROKE`

Method Summary
`static CDTUCOPATHOLOGYTYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDTUCOPATHOLOGYTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTUCOPATHOLOGYTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIABETEDIETARYCONTROL

    public static final CDTUCOPATHOLOGYTYPEvalues DIABETEDIETARYCONTROL

### DIABETEORALMEDICATION

    public static final CDTUCOPATHOLOGYTYPEvalues DIABETEORALMEDICATION

### DIABETEINSULIN

    public static final CDTUCOPATHOLOGYTYPEvalues DIABETEINSULIN

### DIABETENEWLYDIAGNOSED

    public static final CDTUCOPATHOLOGYTYPEvalues DIABETENEWLYDIAGNOSED

### DIABETE

    public static final CDTUCOPATHOLOGYTYPEvalues DIABETE

### RENALFAILURELESSTHAN_30_ML

    public static final CDTUCOPATHOLOGYTYPEvalues RENALFAILURELESSTHAN_30_ML

### INSTENTRESTENOSIS

    public static final CDTUCOPATHOLOGYTYPEvalues INSTENTRESTENOSIS

### CARDIOSHOCKATSTARTPCI

    public static final CDTUCOPATHOLOGYTYPEvalues CARDIOSHOCKATSTARTPCI

### STROKE

    public static final CDTUCOPATHOLOGYTYPEvalues STROKE

### PERIPHERALVASCULARDISEASE

    public static final CDTUCOPATHOLOGYTYPEvalues PERIPHERALVASCULARDISEASE

### STENTTHROMBOSIS

    public static final CDTUCOPATHOLOGYTYPEvalues STENTTHROMBOSIS

Method Detail

### values

    public static CDTUCOPATHOLOGYTYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTUCOPATHOLOGYTYPEvalues c : CDTUCOPATHOLOGYTYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTUCOPATHOLOGYTYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTUCOPATHOLOGYTYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSMIDWIFE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.